Unable to reinstall KDE

Anything that pertains to Portage

Moderator: Moderators

Unable to reinstall KDE

Postby thepld » Sun Sep 02, 2007 6:45

After having some problems with KDE and its default use flags after a sixth sense upgrade from 3.4a to 3.4e, I decided to do a recompile of KDE. Unfortunately, after slogging through several broken dependencies(and fixing those, including that damn baselayout problem), I got this:
Code: Select all
emerge -e kde-meta
Calculating dependencies -
!!! Multiple versions within a single package slot have been
!!! pulled into the dependency graph:

('ebuild', '/', 'sys-libs/com_err-1.39', 'merge') pulled in by
  ('ebuild', '/', 'sys-fs/e2fsprogs-1.39-r1', 'merge')

('ebuild', '/', 'sys-libs/com_err-1.40.2', 'merge') pulled in by
  ('ebuild', '/', 'sys-libs/ss-1.40.2', 'merge')
  ('ebuild', '/', 'app-crypt/mit-krb5-1.5.3', 'merge')

What's the safest way to go about fixing this? A com_err upgrade caused nothing but problems. Any help would be greatly appreciated.
Young Hen
Posts: 32
Joined: Thu Dec 07, 2006 3:15
Location: Arizona

Re: Unable to reinstall KDE

Postby wolfden » Sun Sep 02, 2007 16:41

try installing the packages individually in instances like that
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests